from axelrod.action import Action
from axelrod.player import Player
lIlIIIIIIllIlIlIIIl, lIlIIIlIIIllIIlII = Action.C, Action.D
class llIlllIl(Player):
    llllIlIIlIlIll = "strategy"
    llIIIIIIllIlIIl = {
        "stochastic": False,
        "memory_depth": float("inf"),
        "long_run_time": False,
        "inspects_source": False,
        "manipulates_source": False,
        "manipulates_state": False,
    }
    def lllIIlIIlllIlllll(lIllIlIIIII, IIIIlIllIll: Player) -> Action:
        if not lIllIlIIIII.history:
            return lIlIIIIIIllIlIlIIIl
        if (
            IIIIlIllIll.history[-1] == lIlIIIlIIIllIIlII
            and IIIIlIllIll.cooperations <= IIIIlIllIll.defections * 2
        ):
            return lIlIIIlIIIllIIlII
        return lIlIIIIIIllIlIlIIIl